IO_CANCEL(2)

NAME
io_cancel - Cancel an outstanding asynchronous I/O operation

SYNOPSIS
#include <linux/aio.h>

long io_cancel (aio_context_t ctx_id, struct iocb *iocb, struct io_event *result);

DESCRIPTION

io_cancel() attempts to cancel an asynchronous I/O operation previously submitted with the io_submit system call. ctx_id is the AIO context ID of the operation to be cancelled. If the AIO context is found, the event will be cancelled and then copied into the memory pointed to by result without being placed into the completion queue.

RETURN VALUE

io_cancel() returns 0 on success; otherwise, it returns one of the errors listed in the "Errors" section.

ERRORS

EINVAL
    The AIO context specified by ctx_id is invalid.

EFAULT
    One of the data structures points to invalid data.

EAGAIN
    The iocb specified was not cancelled.

ENOSYS
    io_cancel() is not implemented on this architecture.

VERSIONS

The asynchronous I/O system calls first appeared in Linux 2.5, August 2002.

CONFORMING TO

io_cancel() is Linux specific and should not be used in programs that are intended to be portable.

SEE ALSO

io_setup(2), io_destroy(2), io_getevents(2), io_submit(2).

NOTES

The asynchronous I/O system calls were written by Benjamin LaHaise.

AUTHOR
Kent Yoder.